/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			systick.c
 * @author		Embedded Development Team
 * @version		V1.3.0
 * @date			2019-10-1 09:00:00
 * @brief			Systick
 ******************************************************************************************
 */
 
#include "systick.h"

static __IO uint32_t TimingDelay;

//systick initialization
//start systick
void SystickInit(void)
{
	uint32_t temp = SystemCoreClock / 1000;
	SysTick->LOAD = temp;
	SysTick->VAL = temp;//Reset current counter's value
	
	//select clock source, enable interrupt, enable counter
	SysTick->CTRL = SysTick_CTRL_CLKSOURCE_Msk | 
									SysTick_CTRL_TICKINT_Msk | 
									SysTick_CTRL_ENABLE_Msk; 
}

//delay 10us
void delay_us(__IO uint32_t nTime)
{
	TimingDelay = nTime;
	
	//enable systick
	SysTick->CTRL |= SysTick_CTRL_ENABLE_Msk;
	
	while(TimingDelay != 0);
}

//get systick
//add into SysTick_Handler
void TimingDelay_Decrement(void)
{
	if(TimingDelay != 0x00)
	{
		TimingDelay--;
	}
}
