
/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file      main.c
 * @author    Embedded Development Team
 * @version   V1.3.0
 * @date      2019-10-1 09:00:00
 * @brief     Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "gw1ns2c.h"
#include <stdio.h>

/* Declarations ------------------------------------------------------------------*/
void UartInit(void);

int main()
{   
	unsigned char Temp[750];
	unsigned char receive[750];
	uint32_t i;
	
	SystemInit(); 			//Initializes system clock
	UartInit();					//Initializes UART0
	I2C_Init(I2C,400);  //Initializes I2C
	
	for(i=0;i<750;i++)
	{
		Temp[i] =i%255;
	}

	printf("\r\nI2C sends data :\r\n");
	for(i = 0;i < 750;i++)
	{
		printf("%d ",Temp[i]);
	}
	printf("\r\n");
	
	//send data
	I2C_SendBytes(I2C,0x50,0x00,Temp,750);
	
	//read data
	I2C_ReadBytes(I2C,0x50,0x00,receive,750);
	
	printf("\r\nI2C receives data :\r\n");
	for(i = 0;i < 750;i++)
	{
		printf("%d ",receive[i]);
	}
	printf("\r\n");
	
	while(1);
}

void UartInit(void)
{
  UART_InitTypeDef UART_InitStruct;
	
  UART_InitStruct.UART_Mode.UARTMode_Tx = ENABLE;
  UART_InitStruct.UART_Mode.UARTMode_Rx = ENABLE;
  UART_InitStruct.UART_Int.UARTInt_Tx = DISABLE;
  UART_InitStruct.UART_Int.UARTInt_Rx = DISABLE;
  UART_InitStruct.UART_Ovr.UARTOvr_Tx = DISABLE;
  UART_InitStruct.UART_Ovr.UARTOvr_Rx = DISABLE;
  UART_InitStruct.UART_Hstm = DISABLE;
  UART_InitStruct.UART_BaudRate = 115200;//Baud Rate
	
  UART_Init(UART0,&UART_InitStruct);
}
