
/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2018 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			main.c
 * @author		Embedded Development Team
 * @version		V1.0.0
 * @date			2018-5-1 09:00:00
 * @brief			Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "gw1ns2c.h"

/* Declarations ------------------------------------------------------------------*/
void GPIOInit(void);
void Delay(__IO uint32_t nCount);

int main(void)
{
	SystemInit();
	GPIOInit();
	
  while(1)
  {
    GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3);
    GPIO_ResetBit(GPIO0,GPIO_Pin_0);
    Delay(8333000);
		
    GPIO_SetBit(GPIO0,GPIO_Pin_0|GPIO_Pin_2|GPIO_Pin_3);
    GPIO_ResetBit(GPIO0,GPIO_Pin_1);
    Delay(8333000);
		
    GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_0|GPIO_Pin_3);
    GPIO_ResetBit(GPIO0,GPIO_Pin_2);
    Delay(8333000);
		
    GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_0);
    GPIO_ResetBit(GPIO0,GPIO_Pin_3);
    Delay(8333000);  
  }
}

//Initializes GPIO
void GPIOInit(void)
{
	GPIO_InitTypeDef GPIO_InitType;
	
	GPIO_InitType.GPIO_Pin = GPIO_Pin_0 |
	                         GPIO_Pin_1 |
	                         GPIO_Pin_2 |
	                         GPIO_Pin_3;
	GPIO_InitType.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitType.GPIO_Int = GPIO_Int_Disable;

	GPIO_Init(GPIO0,&GPIO_InitType);

  GPIO_WriteBits(GPIO0,0xF);//light : low level
}

void Delay(__IO uint32_t nCount)//25M 1s = 8333000
{
	for(; nCount != 0; nCount--);
}
