
/*
 * *****************************************************************************************
 *
 * 		Copyright (C) 2014-2019 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file			main.c
 * @author		Embedded Development Team
 * @version		V1.3.0
 * @date			2019-10-1 09:00:00
 * @brief			Main program body.
 ******************************************************************************************
 */

/* Includes ------------------------------------------------------------------*/
#include "gw1ns2c.h"
#include "systick.h"

/* Declarations ------------------------------------------------------------------*/
void GPIOInit(void);

int main(void)
{
	SystemInit();
	GPIOInit();
	SystickInit();

  while(1)
  {
    GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3);
    GPIO_ResetBit(GPIO0,GPIO_Pin_0);
    delay_ms(50);
		
    GPIO_SetBit(GPIO0,GPIO_Pin_0|GPIO_Pin_2|GPIO_Pin_3);
    GPIO_ResetBit(GPIO0,GPIO_Pin_1);
    delay_ms(50);
		
    GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_0|GPIO_Pin_3);
    GPIO_ResetBit(GPIO0,GPIO_Pin_2);
    delay_ms(50);
		
    GPIO_SetBit(GPIO0,GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_0);
    GPIO_ResetBit(GPIO0,GPIO_Pin_3);
    delay_ms(50);  
  }
}

//Initializes GPIO
void GPIOInit(void)
{
	GPIO_InitTypeDef GPIO_InitType;
	
	GPIO_InitType.GPIO_Pin = GPIO_Pin_0 |
	                         GPIO_Pin_1 |
	                         GPIO_Pin_2 |
	                         GPIO_Pin_3;
	GPIO_InitType.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitType.GPIO_Int = GPIO_Int_Disable;

	GPIO_Init(GPIO0,&GPIO_InitType);

  GPIO_WriteBits(GPIO0,0xF);//light : low level
}
